<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionStateType Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dae/a02467.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionStateType Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a70ef731092274a1289f55897d5d01d10"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#a70ef731092274a1289f55897d5d01d10">ExpansionStateType</a> ()</td></tr>
<tr class="separator:a70ef731092274a1289f55897d5d01d10"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:aec063bd147132bcc20bae84fca5a52c5"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#aec063bd147132bcc20bae84fca5a52c5">Contains</a> (string name)</td></tr>
<tr class="separator:aec063bd147132bcc20bae84fca5a52c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30a6cf0ddcb58b433699e31723266f1e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#a30a6cf0ddcb58b433699e31723266f1e">Add</a> (<a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a> type)</td></tr>
<tr class="separator:a30a6cf0ddcb58b433699e31723266f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d458ed295d38b255e1af7d760afd332"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#a3d458ed295d38b255e1af7d760afd332">Get</a> (string type)</td></tr>
<tr class="separator:a3d458ed295d38b255e1af7d760afd332"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d9b74753b5a1a9b64d85260cf611d5b"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#a8d9b74753b5a1a9b64d85260cf611d5b">LoadXML</a> (<a class="el" href="../../dc/d5c/a02459.html">ExpansionFSMType</a> fsmType, CF_XML_Tag xml_root_tag, FileHandle file)</td></tr>
<tr class="separator:a8d9b74753b5a1a9b64d85260cf611d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7786ad84818621a3c3240b714741fdb3"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a> (FileHandle file, array&lt; CF_XML_Tag &gt; tags)</td></tr>
<tr class="separator:a7786ad84818621a3c3240b714741fdb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab89ca757892188b442c707b9eb9fead0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#ab89ca757892188b442c707b9eb9fead0">m_ClassName</a></td></tr>
<tr class="separator:ab89ca757892188b442c707b9eb9fead0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acea37109200c90247445fd42cae06b22"><td class="memItemLeft" align="right" valign="top">ref array&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#acea37109200c90247445fd42cae06b22">m_Variables</a></td></tr>
<tr class="separator:acea37109200c90247445fd42cae06b22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a9d55f33f5950d7f7fd123ed203496b69"><td class="memItemLeft" align="right" valign="top">static private ref map&lt; string, autoptr <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/a02467.html#a9d55f33f5950d7f7fd123ed203496b69">m_Types</a> = new map&lt;string, autoptr <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a>&gt;()</td></tr>
<tr class="separator:a9d55f33f5950d7f7fd123ed203496b69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00001">1</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a70ef731092274a1289f55897d5d01d10" name="a70ef731092274a1289f55897d5d01d10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70ef731092274a1289f55897d5d01d10">&#9670;&#160;</a></span>ExpansionStateType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionStateType::ExpansionStateType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00008">8</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a30a6cf0ddcb58b433699e31723266f1e" name="a30a6cf0ddcb58b433699e31723266f1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30a6cf0ddcb58b433699e31723266f1e">&#9670;&#160;</a></span>Add()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionStateType::Add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00026">26</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<a id="aec063bd147132bcc20bae84fca5a52c5" name="aec063bd147132bcc20bae84fca5a52c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec063bd147132bcc20bae84fca5a52c5">&#9670;&#160;</a></span>Contains()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool ExpansionStateType::Contains </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00017">17</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<a id="a7786ad84818621a3c3240b714741fdb3" name="a7786ad84818621a3c3240b714741fdb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7786ad84818621a3c3240b714741fdb3">&#9670;&#160;</a></span>FPrintTag0()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool ExpansionStateType::FPrintTag0 </td>
          <td>(</td>
          <td class="paramtype">FileHandle&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; CF_XML_Tag &gt;&#160;</td>
          <td class="paramname"><em>tags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00197">197</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<a id="a3d458ed295d38b255e1af7d760afd332" name="a3d458ed295d38b255e1af7d760afd332"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d458ed295d38b255e1af7d760afd332">&#9670;&#160;</a></span>Get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a> ExpansionStateType::Get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00035">35</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<a id="a8d9b74753b5a1a9b64d85260cf611d5b" name="a8d9b74753b5a1a9b64d85260cf611d5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d9b74753b5a1a9b64d85260cf611d5b">&#9670;&#160;</a></span>LoadXML()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a> ExpansionStateType::LoadXML </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d5c/a02459.html">ExpansionFSMType</a>&#160;</td>
          <td class="paramname"><em>fsmType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_XML_Tag&#160;</td>
          <td class="paramname"><em>xml_root_tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">FileHandle&#160;</td>
          <td class="paramname"><em>file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00044">44</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab89ca757892188b442c707b9eb9fead0" name="ab89ca757892188b442c707b9eb9fead0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab89ca757892188b442c707b9eb9fead0">&#9670;&#160;</a></span>m_ClassName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionStateType::m_ClassName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00005">5</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<a id="a9d55f33f5950d7f7fd123ed203496b69" name="a9d55f33f5950d7f7fd123ed203496b69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d55f33f5950d7f7fd123ed203496b69">&#9670;&#160;</a></span>m_Types</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref map&lt;string, autoptr <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a>&gt; ExpansionStateType::m_Types = new map&lt;string, autoptr <a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00003">3</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<a id="acea37109200c90247445fd42cae06b22" name="acea37109200c90247445fd42cae06b22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acea37109200c90247445fd42cae06b22">&#9670;&#160;</a></span>m_Variables</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;string&gt; ExpansionStateType::m_Variables</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/a00977_source.html#l00006">6</a> of file <a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/fsm/<a class="el" href="../../d5/d6c/a00977_source.html">expansionstatetype.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/dae/a02467.html">ExpansionStateType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
